Subject: Re: [Gen-art] Gen-ART Telechat Review of draft-ietf-pim-pop-count-06

From: Stig Venaas <[email-masked]>
Date: Wed, 26 Sep 2012 11:40:34 -0700

Hi, thanks for the comments. Apologies for not responding until now.

On 6/19/2012 5:08 PM, Pete McCann wrote:
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> < http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Please wait for direction from your document shepherd
> or AD before posting a new version of the draft.
>
> Document: draft-ietf-pim-pop-count-06
> Reviewer: Peter McCann
> Review Date: 2012-06-19
> IETF LC End Date: 2012-06-12
> IESG Telechat date: 2012-06-21
>
> Summary: 2 minor issues
>
> Major issues: none
>
> Minor issues:
>
> The Transit and Stub oif-List counts are only 2 octets.  Will these
> fields be large enough to contain
> the totals for a large multicast distribution tree?

I agree this is likely to be an issue. Checking with the WG to see how
best to resolve this. One possibility is certainly to make them 4 octets.

> Are there any alignment constraints on the options?  It looks like all
> the two-octet options come first
> and the single-octet options come last.  However, is this a
> requirement for any future options that may
> be defined?

They are aligned now, but I don't think we can require that for new
options. I'll add a comment on that.

>
> Nits/editorial comments:
>
> The descriptions of how the counts are maintained could use a little
> clarification.  For example,

I agree. I'll try to improve the language a bit for the below and also
for other options that look unclear.

Stig

> when you say:
>
>     Transit Oif-List Count:   This is filled in by a router sending a
>        Join/Prune message which is equal to the number of oifs (outgoing
>        interfaces) for the multicast route that has been joined by PIM.
>        This indicates the transit branches on a multicast distribution
>        tree (no members on the links between this router and joining
>        routers).  This is added to the value advertised by all downstream
>        PIM routers that have joined on this oif.  Length 2 octets.
>
> it isn't clear what you mean by "which is equal to". Literally, you
> are saying the Join/Prune message
> is equal to something.  I don't think that's quite right.  Did you
> mean "with a number that is equal to"?
> Maybe, "with a number that is equal to the number of oifs (outgoing
> interfaces) for the multicast
> route that has been joined by PIM, plus the values advertised by all
> downstream PIM routers that
> have joined this oif."
>
>
>
> -Pete
>